CourseLit logoCourseLit Docs
Api reference

Create a product section

POST
/api/products/{productId}/sections

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Path Parameters

productId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string

Response Body

application/json

application/json

curl -X POST "https://school.courselit.app/api/products/string/sections" \  -H "Content-Type: application/json" \  -d '{    "name": "Getting started"  }'
{
  "sectionId": "string",
  "name": "string",
  "rank": 0,
  "collapsed": true,
  "drip": {
    "type": "relative-date",
    "status": true,
    "delayInMillis": 0,
    "dateInUTC": 0
  },
  "lessonsOrder": [
    "string"
  ]
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}